Package org.apache.lucene.search

# Class IndriAndWeight

java.lang.Object
org.apache.lucene.search.Weight
org.apache.lucene.search.IndriAndWeight

All Implemented Interfaces:
  `SegmentCacheable`

public class IndriAndWeight extends Weight
The Weight for IndriAndQuery, used to normalize, score and explain these queries.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

`Weight.DefaultBulkScorer, Weight.DefaultScorerSupplier`

## Field Summary

### Fields inherited from class org.apache.lucene.search.Weight

`parentQuery`

## Constructor Summary

Constructors
Constructor
Description
`IndriAndWeight(IndriAndQuery query, IndexSearcher searcher, ScoreMode scoreMode, float boost)`

## Method Summary

Modifier and Type
Method
Description
`Explanation`
`explain(LeafReaderContext context, int doc)`
An explanation of the score computation for the named document.
`boolean`
`isCacheable(LeafReaderContext ctx)`
`ScorerSupplier`
`scorerSupplier(LeafReaderContext context)`
Get a `ScorerSupplier`, which allows knowing the cost of the `Scorer` before building it.

### Methods inherited from class org.apache.lucene.search.Weight

`bulkScorer, count, getQuery, matches, scorer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndriAndWeight

public IndriAndWeight(IndriAndQuery query, IndexSearcher searcher, ScoreMode scoreMode, float boost) throws IOException

Throws:
  `IOException`

## Method Details

### isCacheable

public boolean isCacheable(LeafReaderContext ctx)

Returns:
  `true` if the object can be cached against a given leaf

### explain

public Explanation explain(LeafReaderContext context, int doc) throws IOException
Description copied from class: `Weight`
An explanation of the score computation for the named document.

Specified by:
  `explain` in class `Weight`
Parameters:
  `context` - the readers context to create the `Explanation` for.
  `doc` - the document's id relative to the given context's reader
Returns:
  an Explanation for the score
Throws:
  `IOException` - if an `IOException` occurs

### scorerSupplier

public ScorerSupplier scorerSupplier(LeafReaderContext context) throws IOException
Description copied from class: `Weight`
Get a `ScorerSupplier`, which allows knowing the cost of the `Scorer` before building it. A scorer supplier for the same `LeafReaderContext` instance may be requested multiple times as part of a single search call.

Note: It must return null if the scorer is null.

Specified by:
  `scorerSupplier` in class `Weight`
Parameters:
  `context` - the leaf reader context
Returns:
  a `ScorerSupplier` providing the scorer, or null if scorer is null
Throws:
  `IOException` - if an IOException occurs
See Also:
  - `Scorer`
  - `Weight.DefaultScorerSupplier`